# class Sass::Engine::Line

A line of Sass code.

`text`: `String` : The text in the line, without any whitespace at the beginning or end.

`tabs`: `Integer` : The level of indentation of the line.

`index`: `Integer` : The line number in the original document.

`offset`: `Integer` : The number of bytes in on the line that the text begins.

    This ends up being the number of bytes of leading whitespace.

`filename`: `String` : The name of the file in which this line appeared.

`children`: `Array<Line>` : The lines nested below this one.

`comment_tab_str`: `String?` : The prefix indentation for this comment, if it is a comment.

### Public Instance Methods

comment?() click to toggle source

    # File lib/sass/engine.rb, line 125
    def comment?
      text[0] == COMMENT_CHAR && (text[1] == SASS_COMMENT_CHAR || text[1] == CSS_COMMENT_CHAR)
    end